Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class AncestorListener.Stub

    java.lang.Object
      org.eclipse.draw2d.AncestorListener.Stub

All Implemented Interfaces:
  AncestorListener

Enclosing interface:
  AncestorListener

    public static class AncestorListener.Stub

extends Object
implements AncestorListener

An empty implementation of AncestorListener for convenience.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Constructor Summary
`AncestorListener.Stub()`

Method Summary
`void` `ancestorAdded(IFigure ancestor)` Called when an ancestor has been added into the listening figure's hierarchy.
`void` `ancestorMoved(IFigure ancestor)` Called when an ancestor has moved to a new location.
`void` `ancestorRemoved(IFigure ancestor)` Called when an ancestor has been removed from the listening figure's hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorListener.Stub

    public AncestorListener.Stub()

Method Detail

### ancestorMoved

    public void ancestorMoved(IFigure ancestor)

  Description copied from interface: `AncestorListener`
  Called when an ancestor has moved to a new location.

  Specified by:
    `ancestorMoved` in interface `AncestorListener`
  Parameters:
    `ancestor` - The ancestor that has moved

### ancestorAdded

    public void ancestorAdded(IFigure ancestor)

  Description copied from interface: `AncestorListener`
  Called when an ancestor has been added into the listening figure's hierarchy.

  Specified by:
    `ancestorAdded` in interface `AncestorListener`
  Parameters:
    `ancestor` - The ancestor that was added

### ancestorRemoved

    public void ancestorRemoved(IFigure ancestor)

  Description copied from interface: `AncestorListener`
  Called when an ancestor has been removed from the listening figure's hierarchy.

  Specified by:
    `ancestorRemoved` in interface `AncestorListener`
  Parameters:
    `ancestor` - The ancestor that has been removed

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.